-- ****************************************************************************
-- * Licensed Materials - Property of IBM
-- * 5724-T40 IBM License Metric Tool
-- * 5724-S94 IBM Tivoli Asset Discovery for Distributed
-- *
-- * (C) Copyright IBM Corp. 2012.  All Rights Reserved.
-- *
-- * US Government Users Restricted Rights - Use, duplication or
-- * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- ****************************************************************************

-- we need to force hardware scan re-upload from all global zones from SOLARIS SPARC platfoms
update adm.AGENT_HARDWARE_STATUS set RESET_HW = 1 
where id in (
	select a.id from adm.agent a
	join adm.AGT_VM_REL rel on rel.AGENT_ID = a.id and rel.END_TIME = '9999-12-31 00:00:00.0'
	join adm.vm v on v.id = rel.VM_ID
	join adm.node n on n.id = v.NODE_ID
	where v.LAYER_NAME = 'global' and lower(n.PLATFORM) like '%sparc%'
)%
